Developer
Get Support
Sign in
Get Support
Sign in
DOCUMENTATION
Cloud
Data Center
Resources
Sign in
Sign in
DOCUMENTATION
Cloud
Data Center
Resources
Sign in
  • Approval
  • Customer
  • Customer Request
  • Customer Transition
  • Jira Service Management Application
  • Organization
  • Organization Service Desk
  • Portals
  • Queue
  • Queue Settings
  • Request Attachment
  • Request Type
  • Request Type Permissions
  • Service Desk
  • Service Desk Customer
  • application-properties
  • applicationrole
  • attachment
  • avatar
  • cluster
  • comment
  • component
  • configuration
  • customFieldOption
  • customFields
  • dashboard
  • email-templates
  • field
  • filter
  • group
  • groups
  • groupuserpicker
  • index
  • index-snapshot
  • issue
  • issueLinkType
  • issuesecurityschemes
  • issuetype
  • issuetypescheme
  • jql
  • licenseValidator
  • monitoring
  • mypermissions
  • mypreferences
  • myself
  • notificationscheme
  • password
  • permissions
  • permissionscheme
  • priority
  • priorityschemes
  • project
  • projectCategory
  • projects
  • projectvalidate
  • reindex
  • resolution
  • role
  • screens
  • searchLimits
  • securitylevel
  • serverInfo
  • session
  • settings
  • status
  • statuscategory
  • terminology
  • universal_avatar
  • upgrade
  • user
  • version
  • websudo
  • workflow
  • workflowscheme
  • worklog
  • Assets - AQL
  • Assets - Analytics
  • Assets - Archived Objects
  • Assets - Attachments
  • Assets - Comments
  • Assets - Icons
  • Assets - Index Configuration
  • Assets - Object
  • Assets - Object Archive
  • Assets - Object Attribute
  • Assets - Object Connected Tickets
  • Assets - Object Restore
  • Assets - Object Schema
  • Assets - Object Type
  • Assets - Object Type Attribute
  • Assets - Progress
  • Assets - QR Code
  • Assets - Status Types
Server
Jira Service Management / Reference / REST API

search

Postman Collection
OpenAPI
GET

Get issues using JQL

Searches for issues using JQL. Sorting the jql parameter is a full JQL expression, and includes an ORDER BY clause. The fields param (which can be specified multiple times) gives a comma-separated list of fields to include in the response. This can be used to retrieve a subset of fields. A particular field can be excluded by prefixing it with a minus. By default, only navigable (*navigable) fields are returned in this search resource. Note: the default is different in the get-issue resource -- the default there all fields (*all). *all - include all fields *navigable - include just navigable fields summary,comment - include just the summary and comments -description - include navigable fields except the description (the default is *navigable for search) *all,-comment - include everything except comments GET vs POST: If the JQL query is too large to be encoded as a query param you should instead POST to this resource. Expanding Issues in the Search Result: It is possible to expand the issues returned by directly specifying the expansion on the expand parameter passed in to this resources. For instance, to expand the changelog for all the issues on the search result, it is necessary to specify changelog as one of the values to expand.

Forge and OAuth2 apps cannot access this REST resource.

Request

Query parameters

expand

StringList

jql

string

maxResults

integer

validateQuery

boolean

fields

array<StringList>

startAt

integer

Responses

Returns a JSON representation of the search results.

application/json

SearchResultsBean
GET/api/2/search
1 2 3 4 curl --request GET \ --url 'http://{baseurl}/rest/api/2/search' \ --user 'email@example.com:<api_token>' \ --header 'Accept: application/json'
200Response
1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 48 49 50 51 52 53 54 55 56 57 58 59 60 61 62 63 64 65 66 67 68 69 70 71 72 73 74 75 76 77 78 79 80 81 82 83 84 85 86 87 88 89 90 91 92 93 94 95 96 97 98 99 100 101 102 103 104 105 106 107 108 109 110 111 112 113 114 115 116 117 118 119 120 121 122 123 124 125 126 127 128 129 130 131 132 133 134 135 136 137 138 139 140 141 142 143 144 145 146 147 148 149 150 151 152 153 154 155 156 157 158 159 160 161 162 163 164 165 166 167 168 169 170 171 172 173 174 175 176 177 178 179 180 181 182 183 184 185 186 187 188 189 190 191 192 193 194 195 196 197 198 199 200 201 202 203 204 205 206 207 208 209 210 211 212 213 214 215 216 217 218 219 220 221 222 223 224 225 226 227 228 229 230 231 232 233 234 235 236 237 238 239 240 241 242 { "expand": "0", "issues": [ { "changelog": { "histories": [ {} ], "maxResults": 2154, "startAt": 2154, "total": 2154 }, "editmeta": {}, "fields": { "watcher": { "self": "http://www.example.com/jira/rest/api/2/issue/EX-1/watchers", "isWatching": false, "watchCount": 1, "watchers": [ { "self": "http://www.example.com/jira/rest/api/2/user?username=fred", "name": "fred", "displayName": "Fred F. User", "active": false } ] }, "attachment": [ { "self": "http://www.example.com/jira/rest/api/2.0/attachments/10000", "filename": "picture.jpg", "author": { "self": "http://www.example.com/jira/rest/api/2/user?username=fred", "key": "JIRAUSER10100", "name": "fred", "emailAddress": "fred@example.com", "avatarUrls": { "48x48": "http://www.example.com/jira/secure/useravatar?size=large&ownerId=fred", "24x24": "http://www.example.com/jira/secure/useravatar?size=small&ownerId=fred", "16x16": "http://www.example.com/jira/secure/useravatar?size=xsmall&ownerId=fred", "32x32": "http://www.example.com/jira/secure/useravatar?size=medium&ownerId=fred" }, "displayName": "Fred F. User", "active": true, "deleted": false, "timeZone": "Australia/Sydney", "locale": "en_AU", "lastLoginTime": "2023-08-30T16:37:01+1000" }, "created": "2024-05-23T14:47:28.592+0000", "size": 23123, "mimeType": "image/jpeg", "content": "http://www.example.com/jira/attachments/10000", "thumbnail": "http://www.example.com/jira/secure/thumbnail/10000" } ], "sub-tasks": [ { "id": "10000", "type": { "id": "10000", "name": "", "inward": "Parent", "outward": "Sub-task" }, "outwardIssue": { "id": "10003", "key": "EX-2", "self": "http://www.example.com/jira/rest/api/2/issue/EX-2", "fields": { "status": { "iconUrl": "http://www.example.com/jira//images/icons/statuses/open.png", "name": "Open" } } } } ], "description": "example bug report", "project": { "self": "http://www.example.com/jira/rest/api/2/project/EX", "id": "10000", "key": "EX", "name": "Example", "avatarUrls": { "48x48": "http://www.example.com/jira/secure/projectavatar?size=large&pid=10000", "24x24": "http://www.example.com/jira/secure/projectavatar?size=small&pid=10000", "16x16": "http://www.example.com/jira/secure/projectavatar?size=xsmall&pid=10000", "32x32": "http://www.example.com/jira/secure/projectavatar?size=medium&pid=10000" }, "projectCategory": { "self": "http://www.example.com/jira/rest/api/2/projectCategory/10000", "id": "10000", "name": "FIRST", "description": "First Project Category" } }, "comment": [ { "self": "http://www.example.com/jira/rest/api/2/issue/10010/comment/10000", "id": "10000", "author": { "self": "http://www.example.com/jira/rest/api/2/user?username=fred", "name": "fred", "displayName": "Fred F. User", "active": false }, "body": "Lorem ipsum dolor sit amet, consectetur adipiscing elit. Pellentesque eget venenatis elit. Duis eu justo eget augue iaculis fermentum. Sed semper quam laoreet nisi egestas at posuere augue semper.", "updateAuthor": { "self": "http://www.example.com/jira/rest/api/2/user?username=fred", "name": "fred", "displayName": "Fred F. User", "active": false }, "created": "2024-05-23T14:47:28.538+0000", "updated": "2024-05-23T14:47:28.538+0000", "visibility": { "type": "role", "value": "Administrators" } } ], "issuelinks": [ { "id": "10001", "type": { "id": "10000", "name": "Dependent", "inward": "depends on", "outward": "is depended by" }, "outwardIssue": { "id": "10004L", "key": "PRJ-2", "self": "http://www.example.com/jira/rest/api/2/issue/PRJ-2", "fields": { "status": { "iconUrl": "http://www.example.com/jira//images/icons/statuses/open.png", "name": "Open" } } } }, { "id": "10002", "type": { "id": "10000", "name": "Dependent", "inward": "depends on", "outward": "is depended by" }, "inwardIssue": { "id": "10004", "key": "PRJ-3", "self": "http://www.example.com/jira/rest/api/2/issue/PRJ-3", "fields": { "status": { "iconUrl": "http://www.example.com/jira//images/icons/statuses/open.png", "name": "Open" } } } } ], "worklog": [ { "self": "http://www.example.com/jira/rest/api/2/issue/10010/worklog/10000", "author": { "self": "http://www.example.com/jira/rest/api/2/user?username=fred", "name": "fred", "displayName": "Fred F. User", "active": false }, "updateAuthor": { "self": "http://www.example.com/jira/rest/api/2/user?username=fred", "name": "fred", "displayName": "Fred F. User", "active": false }, "comment": "I did some work here.", "updated": "2024-05-23T14:47:28.599+0000", "visibility": { "type": "group", "value": "jira-developers" }, "started": "2024-05-23T14:47:28.598+0000", "timeSpent": "3h 20m", "timeSpentSeconds": 12000, "id": "100028", "issueId": "10002" } ], "updated": 1, "timetracking": { "originalEstimate": "10m", "remainingEstimate": "3m", "timeSpent": "6m", "originalEstimateSeconds": 600, "remainingEstimateSeconds": 200, "timeSpentSeconds": 400 } }, "fieldsToInclude": { "included": [ "<string>" ] }, "id": "10000", "key": "HSP-1", "names": {}, "operations": { "linkGroups": [ {} ] }, "properties": { "properties": {} }, "renderedFields": {}, "schema": {}, "self": "https://jira.atlassian.com/rest/api/2/issue/10000", "transitions": [ { "description": "Close the issue.", "fields": {}, "id": "2", "name": "Close Issue", "opsbarSequence": 10, "to": {} } ], "versionedRepresentations": {} } ], "maxResultWindow": 10000, "maxResults": 50, "names": {}, "schema": {}, "startAt": 0, "total": 1, "warningMessages": [] }
POST

Perform search with JQL

Performs a search using JQL.

Forge and OAuth2 apps cannot access this REST resource.

Request

Request bodyapplication/json

a JSON object containing the search request

expand

array<string>

fields

array<string>

jql

string

maxResults

integer

startAt

integer

validateQuery

boolean

Responses

Returns a JSON representation of the search results.

application/json

SearchResultsBean
POST/api/2/search
1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 curl --request POST \ --url 'http://{baseurl}/rest/api/2/search' \ --user 'email@example.com:<api_token>' \ --header 'Accept: application/json' \ --header 'Content-Type: application/json' \ --data '{ "expand": [ "transitions", "changelog", "operations", "editmeta", "versionedRepresentations", "renderedFields" ], "fields": [ "summary", "status", "assignee" ], "jql": "project = HSP", "maxResults": 15, "startAt": 0, "validateQuery": false }'
200Response
1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 48 49 50 51 52 53 54 55 56 57 58 59 60 61 62 63 64 65 66 67 68 69 70 71 72 73 74 75 76 77 78 79 80 81 82 83 84 85 86 87 88 89 90 91 92 93 94 95 96 97 98 99 100 101 102 103 104 105 106 107 108 109 110 111 112 113 114 115 116 117 118 119 120 121 122 123 124 125 126 127 128 129 130 131 132 133 134 135 136 137 138 139 140 141 142 143 144 145 146 147 148 149 150 151 152 153 154 155 156 157 158 159 160 161 162 163 164 165 166 167 168 169 170 171 172 173 174 175 176 177 178 179 180 181 182 183 184 185 186 187 188 189 190 191 192 193 194 195 196 197 198 199 200 201 202 203 204 205 206 207 208 209 210 211 212 213 214 215 216 217 218 219 220 221 222 223 224 225 226 227 228 229 230 231 232 233 234 235 236 237 238 239 240 241 242 { "expand": "0", "issues": [ { "changelog": { "histories": [ {} ], "maxResults": 2154, "startAt": 2154, "total": 2154 }, "editmeta": {}, "fields": { "watcher": { "self": "http://www.example.com/jira/rest/api/2/issue/EX-1/watchers", "isWatching": false, "watchCount": 1, "watchers": [ { "self": "http://www.example.com/jira/rest/api/2/user?username=fred", "name": "fred", "displayName": "Fred F. User", "active": false } ] }, "attachment": [ { "self": "http://www.example.com/jira/rest/api/2.0/attachments/10000", "filename": "picture.jpg", "author": { "self": "http://www.example.com/jira/rest/api/2/user?username=fred", "key": "JIRAUSER10100", "name": "fred", "emailAddress": "fred@example.com", "avatarUrls": { "48x48": "http://www.example.com/jira/secure/useravatar?size=large&ownerId=fred", "24x24": "http://www.example.com/jira/secure/useravatar?size=small&ownerId=fred", "16x16": "http://www.example.com/jira/secure/useravatar?size=xsmall&ownerId=fred", "32x32": "http://www.example.com/jira/secure/useravatar?size=medium&ownerId=fred" }, "displayName": "Fred F. User", "active": true, "deleted": false, "timeZone": "Australia/Sydney", "locale": "en_AU", "lastLoginTime": "2023-08-30T16:37:01+1000" }, "created": "2024-05-23T14:47:28.592+0000", "size": 23123, "mimeType": "image/jpeg", "content": "http://www.example.com/jira/attachments/10000", "thumbnail": "http://www.example.com/jira/secure/thumbnail/10000" } ], "sub-tasks": [ { "id": "10000", "type": { "id": "10000", "name": "", "inward": "Parent", "outward": "Sub-task" }, "outwardIssue": { "id": "10003", "key": "EX-2", "self": "http://www.example.com/jira/rest/api/2/issue/EX-2", "fields": { "status": { "iconUrl": "http://www.example.com/jira//images/icons/statuses/open.png", "name": "Open" } } } } ], "description": "example bug report", "project": { "self": "http://www.example.com/jira/rest/api/2/project/EX", "id": "10000", "key": "EX", "name": "Example", "avatarUrls": { "48x48": "http://www.example.com/jira/secure/projectavatar?size=large&pid=10000", "24x24": "http://www.example.com/jira/secure/projectavatar?size=small&pid=10000", "16x16": "http://www.example.com/jira/secure/projectavatar?size=xsmall&pid=10000", "32x32": "http://www.example.com/jira/secure/projectavatar?size=medium&pid=10000" }, "projectCategory": { "self": "http://www.example.com/jira/rest/api/2/projectCategory/10000", "id": "10000", "name": "FIRST", "description": "First Project Category" } }, "comment": [ { "self": "http://www.example.com/jira/rest/api/2/issue/10010/comment/10000", "id": "10000", "author": { "self": "http://www.example.com/jira/rest/api/2/user?username=fred", "name": "fred", "displayName": "Fred F. User", "active": false }, "body": "Lorem ipsum dolor sit amet, consectetur adipiscing elit. Pellentesque eget venenatis elit. Duis eu justo eget augue iaculis fermentum. Sed semper quam laoreet nisi egestas at posuere augue semper.", "updateAuthor": { "self": "http://www.example.com/jira/rest/api/2/user?username=fred", "name": "fred", "displayName": "Fred F. User", "active": false }, "created": "2024-05-23T14:47:28.538+0000", "updated": "2024-05-23T14:47:28.538+0000", "visibility": { "type": "role", "value": "Administrators" } } ], "issuelinks": [ { "id": "10001", "type": { "id": "10000", "name": "Dependent", "inward": "depends on", "outward": "is depended by" }, "outwardIssue": { "id": "10004L", "key": "PRJ-2", "self": "http://www.example.com/jira/rest/api/2/issue/PRJ-2", "fields": { "status": { "iconUrl": "http://www.example.com/jira//images/icons/statuses/open.png", "name": "Open" } } } }, { "id": "10002", "type": { "id": "10000", "name": "Dependent", "inward": "depends on", "outward": "is depended by" }, "inwardIssue": { "id": "10004", "key": "PRJ-3", "self": "http://www.example.com/jira/rest/api/2/issue/PRJ-3", "fields": { "status": { "iconUrl": "http://www.example.com/jira//images/icons/statuses/open.png", "name": "Open" } } } } ], "worklog": [ { "self": "http://www.example.com/jira/rest/api/2/issue/10010/worklog/10000", "author": { "self": "http://www.example.com/jira/rest/api/2/user?username=fred", "name": "fred", "displayName": "Fred F. User", "active": false }, "updateAuthor": { "self": "http://www.example.com/jira/rest/api/2/user?username=fred", "name": "fred", "displayName": "Fred F. User", "active": false }, "comment": "I did some work here.", "updated": "2024-05-23T14:47:28.599+0000", "visibility": { "type": "group", "value": "jira-developers" }, "started": "2024-05-23T14:47:28.598+0000", "timeSpent": "3h 20m", "timeSpentSeconds": 12000, "id": "100028", "issueId": "10002" } ], "updated": 1, "timetracking": { "originalEstimate": "10m", "remainingEstimate": "3m", "timeSpent": "6m", "originalEstimateSeconds": 600, "remainingEstimateSeconds": 200, "timeSpentSeconds": 400 } }, "fieldsToInclude": { "included": [ "<string>" ] }, "id": "10000", "key": "HSP-1", "names": {}, "operations": { "linkGroups": [ {} ] }, "properties": { "properties": {} }, "renderedFields": {}, "schema": {}, "self": "https://jira.atlassian.com/rest/api/2/issue/10000", "transitions": [ { "description": "Close the issue.", "fields": {}, "id": "2", "name": "Close Issue", "opsbarSequence": 10, "to": {} } ], "versionedRepresentations": {} } ], "maxResultWindow": 10000, "maxResults": 50, "names": {}, "schema": {}, "startAt": 0, "total": 1, "warningMessages": [] }
GET

Get api 2 search error lookup

Forge and OAuth2 apps cannot access this REST resource.

Request

This request has no parameters.

Responses

Returns an error message if one exists for the current user and HTTP context.

application/json

ResponseValue
GET/api/2/search/error/lookup
1 2 3 curl --request GET \ --url 'http://{baseurl}/rest/api/2/search/error/lookup' \ --header 'Accept: application/json'
200Response
1 2 3 { "errorStringI18n": "<string>" }

Rate this page: